/// @description Insert description here
// You can write your code in this editor
switch(_state) {
case eEventState.Init:
  // 初期化処理.

  // テスト用のイベントテキストを設定.
  cmd_list = [
    "シーケンスは通常シーケンスエディターを#使用してIDEで作成されますが、#コードを使用して作成および編集することもできます。",
    "ただし、使用可能な関数を確認する前に、#シーケンスがGameMakerで定義される方法と、#使用されるさまざまな用語を理解することが重要です。"
  ];

  // 解析処理に進む.
  _state = eEventState.ParseCommand;
  break;
	
case eEventState.ParseCommand:
  // コマンドを取り出す.
  cmd_idx++;
  if(cmd_idx >= array_length(cmd_list)) {
    // コマンドがなくなったので終了.
    instance_destroy();
    exit;
  }

  var cmd = cmd_list[cmd_idx];

  // コマンド解析処理
  _text = string_replace_all(cmd, "#", "\n"); // #を改行に置き換える
  _state = eEventState.TextWait; // テキスト表示処理へ.
  break;
	
case eEventState.TextWait:
  // テキスト表示中.
  if(keyboard_check_pressed(vk_space)) {
    // スペースキーを押したので次に進む.
    _state = eEventState.ParseCommand;
  }
  break;
}
